commit:     a8f07a7c7c14f7dd71fce70c31fa6603eeb43f63
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 22 16:49:21 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Apr 22 18:09:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8f07a7c

dev-qt/qtwebengine: add 5.15.9_p20230421

Bug: https://bugs.gentoo.org/904373
Bug: https://bugs.gentoo.org/904290
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-qt/qtwebengine/Manifest                        |   1 +
 .../qtwebengine-5.15.9_p20230421-gcc-13.patch      | 134 ++++++++++
 .../qtwebengine-5.15.9_p20230421.ebuild            | 272 +++++++++++++++++++++
 3 files changed, 407 insertions(+)

diff --git a/dev-qt/qtwebengine/Manifest b/dev-qt/qtwebengine/Manifest
index fe4d8f25d96f..1aada11e4a56 100644
--- a/dev-qt/qtwebengine/Manifest
+++ b/dev-qt/qtwebengine/Manifest
@@ -2,5 +2,6 @@ DIST qtwebengine-5.15.2-r1-chromium87-ppc64le.tar.xz 28784 
BLAKE2B aa101d14446f3
 DIST qtwebengine-5.15.8_p20230313-patchset.tar.xz 45904 BLAKE2B 
9f58b9808fd445a06e6a2cd6d5f7bc9782bd6de13138fdebc9e81bd9f69e7ae673a71bd3ed6b011a47e84cc64b5b703a7cfc8d5f740eaaa663da1db8ef9ef05b
 SHA512 
21b0b853358260fa1bdc96c97c5b2af7007c744d10abeebf9f0e708a0cd7dece583d86c0554a4e327a0d615bb403b0d328acaa6622b50d7a8059bc0802edbcec
 DIST qtwebengine-5.15.8_p20230313.tar.xz 298163692 BLAKE2B 
653e2577ea7e670fdffec2cf2db5392621109571b430b9b66c7bc23739a14eb36ffa5f989ec2b98d77e718b0a69bd2b3948f0340fd9e86aaf10372c8b13286ee
 SHA512 
34062e54f95f441420b41ede88d0f0f98445677d301eedbe0be2e57cc5c280d4e564abb99ccf754eb2c0efaccc21ff4e34bc20163c970b4d5309ca85c5f37577
 DIST qtwebengine-5.15.9_p20230404.tar.xz 298175824 BLAKE2B 
8a260c6d39d99698871154f59e86dece89ac7cb5bd08797e7f42aced638ef528c4272beb46346d39b3df14aac08f7ab4d286cc12688cb4ff62ff327258c3b841
 SHA512 
d97eecd3b2d0b4ad198f7c8484ed70ca6b2751ee9167a3c51c3406acbd18d06265249902c4c7b7ccd8285d7dd8dd2c8fbe4022612f5ca4b1a7972e1577059996
+DIST qtwebengine-5.15.9_p20230421.tar.xz 298205148 BLAKE2B 
2969f37af6c53dab5847dc46a9b64f5756b4ea45f9ef3c48db980a1032e89ebd48e9ba4fdc8c56cb72044ab4f48477ac1f9c1171f333390155a7304288b77a0c
 SHA512 
a78dd781056c63d98438186ba256ad03b35fe3870b877e56bce41ec135defc29ee9230a3482a69f8680cedc9328a683ffc62dab45a202b709d2a4017a1188cf3
 DIST qtwebengine-everywhere-src-6.4.3.tar.xz 440562844 BLAKE2B 
86155ffbb12bef9dad461c2bb0dc4fce53b269c6f9f61cd1ec49cc25bb0516dcfc903ce8b48751c9c47614d448c2cd290f3f313d5fdfe0a3643534fa7e2e9f3f
 SHA512 
e9e8bdeac942350bf779a9fabfb59ffdfec366ec23cb1c58fa416a777c9399bfa9828107f6a1c079414a8aa52a35d0547e3bd673053d994e19308e11733e0d39
 DIST qtwebengine-everywhere-src-6.5.0.tar.xz 411792556 BLAKE2B 
42aa5023462ee2db6ef24da1858873897ac5d6bd170adc389617525745708529578dcbcf694d1cadf3b591770f4e925ad24f61500cd13ef90236bda412797cb7
 SHA512 
02413eaf5e4e4d5d8401bf28ea2362cc9f147cc002c014b1a50daf3dfa092b1c923652eefb0b727e94e36d3d53ddf93b5b4c5e8830986902b34b53a848d7a8e0

diff --git a/dev-qt/qtwebengine/files/qtwebengine-5.15.9_p20230421-gcc-13.patch 
b/dev-qt/qtwebengine/files/qtwebengine-5.15.9_p20230421-gcc-13.patch
new file mode 100644
index 000000000000..f8d180e97037
--- /dev/null
+++ b/dev-qt/qtwebengine/files/qtwebengine-5.15.9_p20230421-gcc-13.patch
@@ -0,0 +1,134 @@
+Pending upstream:
+https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/473909
+https://codereview.qt-project.org/c/qt/qtwebengine/+/473911
+
+diff --git 
a/src/3rdparty/chromium/device/base/synchronization/one_writer_seqlock.cc 
b/src/3rdparty/chromium/device/base/synchronization/one_writer_seqlock.cc
+index 213b630..98266a1 100644
+--- a/src/3rdparty/chromium/device/base/synchronization/one_writer_seqlock.cc
++++ b/src/3rdparty/chromium/device/base/synchronization/one_writer_seqlock.cc
+@@ -2,6 +2,8 @@
+ // Use of this source code is governed by a BSD-style license that can be
+ // found in the LICENSE file.
+ 
++#include <cstdint>
++
+ #include "device/base/synchronization/one_writer_seqlock.h"
+ 
+ namespace device {
+diff --git 
a/src/3rdparty/chromium/gpu/command_buffer/common/webgpu_cmd_format.h 
b/src/3rdparty/chromium/gpu/command_buffer/common/webgpu_cmd_format.h
+index 286a41c..25d2413 100644
+--- a/src/3rdparty/chromium/gpu/command_buffer/common/webgpu_cmd_format.h
++++ b/src/3rdparty/chromium/gpu/command_buffer/common/webgpu_cmd_format.h
+@@ -5,6 +5,7 @@
+ #ifndef GPU_COMMAND_BUFFER_COMMON_WEBGPU_CMD_FORMAT_H_
+ #define GPU_COMMAND_BUFFER_COMMON_WEBGPU_CMD_FORMAT_H_
+ 
++#include <cstdint>
+ #include <string.h>
+ 
+ #include "gpu/command_buffer/common/gl2_types.h"
+diff --git 
a/src/3rdparty/chromium/gpu/command_buffer/service/shared_context_state.h 
b/src/3rdparty/chromium/gpu/command_buffer/service/shared_context_state.h
+index bcba574..f4916be 100644
+--- a/src/3rdparty/chromium/gpu/command_buffer/service/shared_context_state.h
++++ b/src/3rdparty/chromium/gpu/command_buffer/service/shared_context_state.h
+@@ -5,6 +5,7 @@
+ #ifndef GPU_COMMAND_BUFFER_SERVICE_SHARED_CONTEXT_STATE_H_
+ #define GPU_COMMAND_BUFFER_SERVICE_SHARED_CONTEXT_STATE_H_
+ 
++#include <cstdint>
+ #include <memory>
+ #include <vector>
+ 
+diff --git a/src/3rdparty/chromium/gpu/config/gpu_util.h 
b/src/3rdparty/chromium/gpu/config/gpu_util.h
+index b4d6dfb..0dc300a 100644
+--- a/src/3rdparty/chromium/gpu/config/gpu_util.h
++++ b/src/3rdparty/chromium/gpu/config/gpu_util.h
+@@ -5,6 +5,8 @@
+ #ifndef GPU_CONFIG_GPU_UTIL_H_
+ #define GPU_CONFIG_GPU_UTIL_H_
+ 
++#include <cstdint>
++
+ #include "build/build_config.h"
+ #include "gpu/config/gpu_feature_info.h"
+ #include "gpu/gpu_export.h"
+diff --git 
a/src/3rdparty/chromium/third_party/blink/renderer/platform/graphics/dark_mode_image_classifier.cc
 
b/src/3rdparty/chromium/third_party/blink/renderer/platform/graphics/dark_mode_image_classifier.cc
+index fa755dd..040656b 100644
+--- 
a/src/3rdparty/chromium/third_party/blink/renderer/platform/graphics/dark_mode_image_classifier.cc
++++ 
b/src/3rdparty/chromium/third_party/blink/renderer/platform/graphics/dark_mode_image_classifier.cc
+@@ -4,6 +4,7 @@
+ 
+ #include 
"third_party/blink/renderer/platform/graphics/dark_mode_image_classifier.h"
+ 
++#include <cstdint>
+ #include <set>
+ 
+ #include "base/memory/singleton.h"
+diff --git 
a/src/3rdparty/chromium/third_party/libgav1/src/src/utils/threadpool.cc 
b/src/3rdparty/chromium/third_party/libgav1/src/src/utils/threadpool.cc
+index 8c8f4fe..4e8788b 100644
+--- a/src/3rdparty/chromium/third_party/libgav1/src/src/utils/threadpool.cc
++++ b/src/3rdparty/chromium/third_party/libgav1/src/src/utils/threadpool.cc
+@@ -28,6 +28,7 @@
+ #include <cassert>
+ #include <cinttypes>
+ #include <cstddef>
++#include <cstdio>
+ #include <cstdint>
+ #include <cstring>
+ #include <new>
+diff --git 
a/src/3rdparty/chromium/third_party/perfetto/src/trace_processor/importers/proto/proto_importer_module.h
 
b/src/3rdparty/chromium/third_party/perfetto/src/trace_processor/importers/proto/proto_importer_module.h
+index 74cc958..098433c 100644
+--- 
a/src/3rdparty/chromium/third_party/perfetto/src/trace_processor/importers/proto/proto_importer_module.h
++++ 
b/src/3rdparty/chromium/third_party/perfetto/src/trace_processor/importers/proto/proto_importer_module.h
+@@ -17,6 +17,8 @@
+ #ifndef SRC_TRACE_PROCESSOR_IMPORTERS_PROTO_PROTO_IMPORTER_MODULE_H_
+ #define SRC_TRACE_PROCESSOR_IMPORTERS_PROTO_PROTO_IMPORTER_MODULE_H_
+ 
++#include <cstdint>
++
+ #include "perfetto/ext/base/optional.h"
+ #include "perfetto/trace_processor/status.h"
+ #include "src/trace_processor/trace_blob_view.h"
+diff --git a/src/3rdparty/chromium/third_party/skia/src/utils/SkParseColor.cpp 
b/src/3rdparty/chromium/third_party/skia/src/utils/SkParseColor.cpp
+index 0a19810..fcfe94c 100644
+--- a/src/3rdparty/chromium/third_party/skia/src/utils/SkParseColor.cpp
++++ b/src/3rdparty/chromium/third_party/skia/src/utils/SkParseColor.cpp
+@@ -9,10 +9,9 @@
+ #include "include/utils/SkParse.h"
+ 
+ #include <algorithm> // std::lower_bound
++#include <cstring>
+ #include <iterator>
+ 
+-#include <algorithm> // std::lower_bound
+-
+ static constexpr const char* gColorNames[] = {
+     "aliceblue",
+     "antiquewhite",
+diff --git a/src/3rdparty/chromium/v8/src/base/macros.h 
b/src/3rdparty/chromium/v8/src/base/macros.h
+index 37cab78..4220eac 100644
+--- a/src/3rdparty/chromium/v8/src/base/macros.h
++++ b/src/3rdparty/chromium/v8/src/base/macros.h
+@@ -5,6 +5,7 @@
+ #ifndef V8_BASE_MACROS_H_
+ #define V8_BASE_MACROS_H_
+ 
++#include <cstdint>
+ #include <limits>
+ #include <type_traits>
+ 
+diff --git a/src/core/browsing_data_remover_delegate_qt.h 
b/src/core/browsing_data_remover_delegate_qt.h
+index a10409f..5adfbbe 100644
+--- a/src/core/browsing_data_remover_delegate_qt.h
++++ b/src/core/browsing_data_remover_delegate_qt.h
+@@ -40,6 +40,8 @@
+ #ifndef BROWSING_DATA_REMOVER_DELEGATE_QT_H
+ #define BROWSING_DATA_REMOVER_DELEGATE_QT_H
+ 
++#include <cstdint>
++
+ #include "content/public/browser/browsing_data_remover_delegate.h"
+ 
+ namespace QtWebEngineCore {
+
+

diff --git a/dev-qt/qtwebengine/qtwebengine-5.15.9_p20230421.ebuild 
b/dev-qt/qtwebengine/qtwebengine-5.15.9_p20230421.ebuild
new file mode 100644
index 000000000000..d78c39e5f62a
--- /dev/null
+++ b/dev-qt/qtwebengine/qtwebengine-5.15.9_p20230421.ebuild
@@ -0,0 +1,272 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="xml(+)"
+inherit check-reqs estack flag-o-matic multiprocessing python-any-r1 qt5-build 
toolchain-funcs
+
+DESCRIPTION="Library for rendering dynamic web content in Qt5 C++ and QML 
applications"
+HOMEPAGE="https://www.qt.io/";
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+       if [[ ${PV} == ${QT5_PV}_p* ]]; then
+               SRC_URI="https://dev.gentoo.org/~asturm/distfiles/${P}.tar.xz";
+               S="${WORKDIR}/${P}"
+               QT5_BUILD_DIR="${S}_build"
+       fi
+else
+       EGIT_BRANCH="5.15"
+       EGIT_REPO_URI=(
+               "https://code.qt.io/qt/${QT5_MODULE}.git";
+               "https://github.com/qt/${QT5_MODULE}.git";
+       )
+       inherit git-r3
+fi
+
+# ppc64 patchset based on https://github.com/chromium-ppc64le releases
+SRC_URI+=" 
https://dev.gentoo.org/~asturm/distfiles/${PN}-5.15.8_p20230313-patchset.tar.xz
+       ppc64? ( 
https://dev.gentoo.org/~gyakovlev/distfiles/${PN}-5.15.2-r1-chromium87-ppc64le.tar.xz
 )"
+
+IUSE="alsa bindist designer geolocation +jumbo-build kerberos pulseaudio 
screencast +system-icu widgets"
+REQUIRED_USE="designer? ( widgets )"
+
+RDEPEND="
+       app-arch/snappy:=
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       dev-libs/expat
+       dev-libs/libevent:=
+       dev-libs/libxml2[icu]
+       dev-libs/libxslt
+       dev-libs/re2:=
+       =dev-qt/qtcore-${QT5_PV}*
+       =dev-qt/qtdeclarative-${QT5_PV}*
+       =dev-qt/qtgui-${QT5_PV}*
+       =dev-qt/qtnetwork-${QT5_PV}*
+       =dev-qt/qtprintsupport-${QT5_PV}*
+       =dev-qt/qtwebchannel-${QT5_PV}*[qml]
+       media-libs/fontconfig
+       media-libs/freetype
+       media-libs/harfbuzz:=
+       media-libs/lcms:2
+       media-libs/libjpeg-turbo:=
+       media-libs/libpng:0=
+       >=media-libs/libvpx-1.5:=[svc(+)]
+       media-libs/libwebp:=
+       media-libs/opus
+       sys-apps/dbus
+       sys-apps/pciutils
+       sys-libs/zlib[minizip]
+       virtual/libudev
+       x11-libs/libdrm
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libxkbfile
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXScrnSaver
+       x11-libs/libXtst
+       alsa? ( media-libs/alsa-lib )
+       designer? ( =dev-qt/designer-${QT5_PV}* )
+       geolocation? ( =dev-qt/qtpositioning-${QT5_PV}* )
+       kerberos? ( virtual/krb5 )
+       pulseaudio? ( media-libs/libpulse )
+       screencast? ( media-video/pipewire:= )
+       system-icu? ( >=dev-libs/icu-69.1:= )
+       widgets? (
+               =dev-qt/qtdeclarative-${QT5_PV}*[widgets]
+               =dev-qt/qtwidgets-${QT5_PV}*
+       )
+"
+DEPEND="${RDEPEND}
+       media-libs/libglvnd
+"
+BDEPEND="${PYTHON_DEPS}
+       dev-util/gperf
+       dev-util/ninja
+       dev-util/re2c
+       net-libs/nodejs[ssl]
+       sys-devel/bison
+       sys-devel/flex
+       ppc64? ( >=dev-util/gn-0.1807 )
+"
+
+PATCHES=(
+       "${WORKDIR}/${PN}-5.15.8_p20230313-patchset"
+       "${FILESDIR}/${P}-gcc-13.patch"
+)
+
+qtwebengine_check-reqs() {
+       # bug #307861
+       eshopts_push -s extglob
+       if is-flagq '-g?(gdb)?([1-9])'; then
+               ewarn "You have enabled debug info (probably have -g or -ggdb 
in your CFLAGS/CXXFLAGS)."
+               ewarn "You may experience really long compilation times and/or 
increased memory usage."
+               ewarn "If compilation fails, please try removing -g/-ggdb 
before reporting a bug."
+       fi
+       eshopts_pop
+
+       [[ ${MERGE_TYPE} == binary ]] && return
+
+       # (check-reqs added for bug #570534)
+       #
+       # Estimate the amount of RAM required
+       # Multiplier is *10 because Bash doesn't do floating point maths.
+       # Let's crudely assume ~2GB per compiler job for GCC.
+       local multiplier=20
+
+       # And call it ~1.5GB for Clang.
+       if tc-is-clang ; then
+               multiplier=15
+       fi
+
+       local CHECKREQS_DISK_BUILD="7G"
+       local CHECKREQS_DISK_USR="150M"
+       if ! has "distcc" ${FEATURES} ; then
+               # bug #830661
+               # Not super realistic to come up with good estimates for distcc 
right now
+               local CHECKREQS_MEMORY=$(($(makeopts_jobs)*multiplier/10))G
+       fi
+
+       check-reqs_${EBUILD_PHASE_FUNC}
+}
+
+pkg_pretend() {
+       qtwebengine_check-reqs
+}
+
+pkg_setup() {
+       qtwebengine_check-reqs
+       python-any-r1_pkg_setup
+}
+
+src_unpack() {
+       case ${QT5_BUILD_TYPE} in
+               live)    git-r3_src_unpack ;&
+               release) default ;;
+       esac
+}
+
+src_prepare() {
+       # replaced by new patch in FILESDIR but not spinning new patchset just 
yet
+       rm "${WORKDIR}"/qtwebengine-5.15.8_p20230313-patchset/015-gcc13.patch 
|| die
+
+       if [[ ${PV} == ${QT5_PV}_p* ]]; then
+               # This is made from git, and for some reason will fail w/o .git 
directories.
+               mkdir -p .git src/3rdparty/chromium/.git || die
+       fi
+       # We need to make sure this integrates well into Qt 5.15.3 installation.
+       # Otherwise revdeps fail w/o heavy changes. This is the simplest way to 
do it.
+       # See also: 
https://www.qt.io/blog/building-qt-webengine-against-other-qt-versions
+       sed -E "/^MODULE_VERSION/s/5\.15\.[0-9]+/${QT5_PV}/" -i .qmake.conf || 
die
+
+       # QTBUG-88657 - jumbo-build could still make trouble
+       if ! use jumbo-build; then
+               sed -i -e 's|use_jumbo_build=true|use_jumbo_build=false|' \
+                       src/buildtools/config/common.pri || die
+       fi
+
+       # bug 620444 - ensure local headers are used
+       find "${S}" -type f -name "*.pr[fio]" | \
+               xargs sed -i -e 's|INCLUDEPATH += 
|&$${QTWEBENGINE_ROOT}_build/include $${QTWEBENGINE_ROOT}/include |' || die
+
+       if use system-icu; then
+               # Sanity check to ensure that bundled copy of ICU is not used.
+               # Whole src/3rdparty/chromium/third_party/icu directory cannot 
be deleted because
+               # src/3rdparty/chromium/third_party/icu/BUILD.gn is used by 
build system.
+               # If usage of headers of bundled copy of ICU occurs, then lists 
of shim headers in
+               # shim_headers("icui18n_shim") and shim_headers("icuuc_shim") in
+               # src/3rdparty/chromium/third_party/icu/BUILD.gn should be 
updated.
+               local file
+               while read file; do
+                       echo "#error This file should not be used!" > "${file}" 
|| die
+               done < <(find src/3rdparty/chromium/third_party/icu -type f "(" 
-name "*.c" -o -name "*.cpp" -o -name "*.h" ")" 2>/dev/null)
+       fi
+
+       # src/3rdparty/gn fails with libc++ due to passing of 
`-static-libstdc++`
+       if tc-is-clang ; then
+               if has_version 'sys-devel/clang[default-libcxx(-)]' || 
has_version 'sys-devel/clang-common[default-libcxx(-)]' ; then
+                       eapply 
"${FILESDIR}/${PN}-5.15.2_p20210521-clang-libc++.patch"
+               fi
+       fi
+
+       qt_use_disable_config alsa webengine-alsa 
src/buildtools/config/linux.pri
+       qt_use_disable_config pulseaudio webengine-pulseaudio 
src/buildtools/config/linux.pri
+
+       qt_use_disable_mod designer webenginewidgets src/plugins/plugins.pro
+
+       qt_use_disable_mod widgets widgets src/src.pro
+
+       qt5-build_src_prepare
+
+       # we need to generate ppc64 stuff because upstream does not ship it yet
+       if use ppc64; then
+               einfo "Patching for ppc64le and generating build files"
+               eapply "${FILESDIR}/qtwebengine-5.15.2-enable-ppc64.patch"
+               pushd src/3rdparty/chromium > /dev/null || die
+               eapply -p0 "${WORKDIR}/${PN}-ppc64le"
+               popd > /dev/null || die
+               pushd src/3rdparty/chromium/third_party/libvpx > /dev/null || 
die
+               mkdir -vp source/config/linux/ppc64 || die
+               mkdir -p source/libvpx/test || die
+               touch source/libvpx/test/test.mk || die
+               # clang-format is used to re-format sources
+               # but we'd rather make it a no-op than introduce a clang 
dependency
+               # https://bugs.gentoo.org/849458
+               clang-format() { : ; }
+               export -f clang-format || die
+               ./generate_gni.sh || die
+               popd >/dev/null || die
+       fi
+}
+
+src_configure() {
+       export NINJA_PATH=/usr/bin/ninja
+       export NINJAFLAGS="${NINJAFLAGS:--j$(makeopts_jobs "${MAKEOPTS}" 999) 
-l$(makeopts_loadavg "${MAKEOPTS}" 0) -v}"
+
+       local myqmakeargs=(
+               --
+               -no-build-qtpdf
+               -printing-and-pdf
+               -system-opus
+               -system-webp
+               $(qt_use alsa)
+               $(qt_use !bindist proprietary-codecs)
+               $(qt_use geolocation webengine-geolocation)
+               $(qt_use kerberos webengine-kerberos)
+               $(qt_use pulseaudio)
+               $(usex screencast -webengine-webrtc-pipewire '')
+               -qt-ffmpeg # bug 831487
+               $(qt_use system-icu webengine-icu)
+       )
+       qt5-build_src_configure
+}
+
+src_install() {
+       qt5-build_src_install
+
+       # bug 601472
+       if [[ ! -f ${D}${QT5_LIBDIR}/libQt5WebEngine.so ]]; then
+               die "${CATEGORY}/${PF} failed to build anything. Please report 
to https://bugs.gentoo.org/";
+       fi
+}
+
+pkg_preinst() {
+       elog "This version of Qt WebEngine is based on Chromium version 
87.0.4280.144,"
+       elog "with additional security fixes from newer versions. Extensive as 
it is, the"
+       elog "list of backports is impossible to evaluate, but always bound to 
be behind"
+       elog "Chromium's release schedule."
+       elog "In addition, various online services may deny service based on an 
outdated"
+       elog "user agent version (and/or other checks). Google is already known 
to do so."
+       elog
+       elog "tldr: Your web browsing experience will be compromised."
+}

Reply via email to